Subject: Re: bug#72059: [PATCH] Ensure that git diffs without signature (--) are properly identified

From: Robert Pluim <[email-masked]>
Date: Thu, 11 Jul 2024 15:36:35 +0200

>>>>> On Thu, 11 Jul 2024 13:20:32 +0100, Luis Henriques <[email-masked]> said:

    Luis> Hi!
    Luis> [Resending as I don't see message in the list after a few hours.]

I see both those messages. There is moderation for unsubscribed users,
so sometimes there is lag.

    Luis> I'd like to have git-format-patch diffs to be properly identified when I'm
    Luis> using Gnus to read mailing-lists.  It mostly works fine, *if* the
    Luis> (inlined) patches include a signature at the end ('--').  If the signature
    Luis> is missing then the patch isn't identified as such.

    Luis> Since all the other diff formats in mm-uu-type-alist don't have the
    Luis> 'end-point' I thought it would be fine to also remove it from the
    Luis> 'git-format-patch'.

git-format-patch only produces patches like that if you pass it
'--no-signature', I think.

    Luis> The issue I'm trying to fix can be easily seen in Gnus by comparing two
    Luis> emails with the following message-ids from the [email-masked]
    Luis> mailing-list:

    Luis>   [email-masked]

That one actually looks like just 'git diff' rather than 'git format-patch'

Iʼm trying to work out the benefit here compared to the status quo vs
the risk of breaking something. If Gnus doesnʼt identify such messages
as containing patches, you donʼt get the in-article buttons, but you
can still pipe the message to 'git apply'.

Also, how does this work for messages containing multiple patches? Is
detection of just the start of each patch enough?

Maybe adding a new detection method would be better?

Robert
--